Skip to main content
PUT
/
frontend
/
api
/
v1
/
user
/
{user-id}
Update sub user by id
curl --request PUT \
  --url https://{host}/frontend/api/v1/user/{user-id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first-name": "<string>",
  "last-name": "<string>",
  "permissions": [
    "read:billing"
  ],
  "reset-permissions": false,
  "restrictions": [
    "read:billing"
  ]
}
'
import requests

url = "https://{host}/frontend/api/v1/user/{user-id}"

payload = {
"first-name": "<string>",
"last-name": "<string>",
"permissions": ["read:billing"],
"reset-permissions": False,
"restrictions": ["read:billing"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'first-name': '<string>',
'last-name': '<string>',
permissions: ['read:billing'],
'reset-permissions': false,
restrictions: ['read:billing']
})
};

fetch('https://{host}/frontend/api/v1/user/{user-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "additional-emails": [
    "<string>"
  ],
  "avatars": {},
  "created": "2023-11-07T05:31:56Z",
  "email": "<string>",
  "first-name": "<string>",
  "last-name": "<string>",
  "parent": {
    "id": 1,
    "email": "<string>",
    "username": "<string>"
  },
  "parent-user-ids": [
    1
  ],
  "permissions": {},
  "plan": {
    "active": true,
    "amount": {
      "fixed": 123,
      "max": 123,
      "min": 123,
      "preset": 123,
      "tiers": [
        123
      ]
    },
    "created": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "details": {},
    "id": "<string>",
    "name": "<string>",
    "stripe-price": "<unknown>"
  },
  "restrictions": {},
  "root-user-id": 1,
  "stripe_customer_id": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "username": "<string>"
}
{
"code": 123,
"context": {},
"error": "<string>",
"status": "<string>"
}

Authorizations

Authorization
string
header
required

API Key Security (Header).

Path Parameters

user-id
integer
required

User ID.

Required range: x >= 1

Body

first-name
string
Example:

"J"

last-name
string
Example:

"Doe"

permissions
enum<string>[]

Permissions list

Available options:
read:admin,
read:billing,
read:invite,
read:media,
read:profile,
read:statistics,
read:sub-user,
read:user,
write:admin,
write:billing,
write:invite,
write:media,
write:sub-user,
write:user
reset-permissions
boolean
default:false
restrictions
enum<string>[]

Restrictions list

Available options:
read:admin,
read:billing,
read:invite,
read:media,
read:profile,
read:statistics,
read:sub-user,
read:user,
write:admin,
write:billing,
write:invite,
write:media,
write:sub-user,
write:user

Response

OK

id
integer
required
Required range: x >= 0
additional-emails
string[] | null
avatars
object | null
created
string<date-time>
email
string
Example:

"theUser@probe.dev"

first-name
string
Example:

"J"

last-name
string
Example:

"Doe"

parent
object
parent-user-ids
integer[] | null
Required range: x >= 0
permissions
object
plan
object | null
restrictions
object
role
enum<string>
Available options:
root,
admin,
user,
sub
root-user-id
integer
Required range: x >= 0
status
enum<string>
Available options:
anonymous,
pending,
active,
suspended
stripe_customer_id
string
updated
string<date-time>
username
string
Example:

"theUser"